package cn.iocoder.yudao.module.remote.service.login;

import cn.iocoder.yudao.module.system.api.remote.dto.LoginCheckDTO;

import javax.servlet.http.HttpServletRequest;

public interface LoginService {
    Boolean checkCommunication(LoginCheckDTO loginCheckDTO);

    /**
     * 保存IP和端口
     * @param loginCheckDTO
     */
    void saveIpAndPort(LoginCheckDTO loginCheckDTO, HttpServletRequest request);

    /**
     * 查询默认IP和端口
     * @return
     */
    LoginCheckDTO getIpAndPort(HttpServletRequest request);
}
